Subject: Re: bug#17172: 24.3.50; Timeouts when pasting from mouse

From: Nicolas Richard <[email-masked]>
Date: Tue, 29 Apr 2014 11:22:53 +0200

Paul Eggert <[email-masked]> writes:

> Thanks for the bug report.  I can't reproduce the problem on my Fedora
> 20 x86-64 desktop, but in reviewing xgselect.c I see some glitches
> that could explain things.  Please try the attached patch and let us
> know whether it helps with your problem.  Please compile with
> -DENABLE_CHECKING so that the patch's 'eassert' calls have teeth.
> Thanks.

Sorry to confirm this didn't work for this specific problem. I have your
patch applied to my local tree but the problem happened again (after a
few weeks without seeing it, both without and with your patch).

for the record, my system-configuration-options is:
"--with-x-toolkit=lucid --enable-checking 'CFLAGS= -O0 -g3'"

-- 
Nico.